Runtime

## org.eclipse.gmf.runtime.common.ui.services.properties.extended
Interface IExtendedPropertyDescriptor

All Superinterfaces:
  ICompositeSourcePropertyDescriptor, IPropertyDescriptor

All Known Implementing Classes:
  ExtendedBooleanPropertyDescriptor, ExtendedComboboxPropertyDescriptor, ExtendedPropertyDescriptor, ExtendedTextPropertyDescriptor, PropertyPagePropertyDescriptor

    public interface IExtendedPropertyDescriptor

extends ICompositeSourcePropertyDescriptor

Method Summary
`java.lang.Object` `getBlank()` This method returns a blank value for a cell.
`IPropertySource` `getPropertySource()` Retrieve `IPropertySource`
`boolean` `isDirty()` Retrieve the boolean isDirty flag.
`void` `setDirtyFlag(boolean dirtyFlag)`
`void` `setDisplayName(java.lang.String displayName)` Sets the display name
`void` `setPropertySource(IPropertySource propertySource)` Sets specified `IPropertySource`
`void` `setValidator(ICellEditorValidator validator)` Sets the validator for this propertyDescriptor

Methods inherited from interface org.eclipse.gmf.runtime.common.ui.services.properties.descriptors.ICompositeSourcePropertyDescriptor
`getPropertyValue, isReadOnly, resetPropertyValue, setCategory, setPropertyValue, setReadOnly`

Methods inherited from interface org.eclipse.ui.views.properties.IPropertyDescriptor
`createPropertyEditor, getCategory, getDescription, getDisplayName, getFilterFlags, getHelpContextIds, getId, getLabelProvider, isCompatibleWith`

Method Detail

### getPropertySource

    IPropertySource getPropertySource()

  Retrieve `IPropertySource`

  Returns:
    an instance of `IPropertySource`

### setPropertySource

    void setPropertySource(IPropertySource propertySource)

  Sets specified `IPropertySource`

  Parameters:
    `propertySource` - an instance of `IPropertySource`

### isDirty

    boolean isDirty()

  Retrieve the boolean isDirty flag.

  Returns:
    value of isDirty flag

### setDirtyFlag

    void setDirtyFlag(boolean dirtyFlag)

  Parameters:
    `dirtyFlag` -

### getBlank

    java.lang.Object getBlank()

  This method returns a blank value for a cell.

  Returns:
    a blank value for a cell

### setValidator

    void setValidator(ICellEditorValidator validator)

  Sets the validator for this propertyDescriptor

  Parameters:
    `validator` - The `ICellEditorValidator`

### setDisplayName

    void setDisplayName(java.lang.String displayName)

  Sets the display name

  Parameters:
    `displayName` - the display name

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.